package com.qmth.teachcloud.report.business.enums;

public enum ExamCloudDataEnum {
    EXAM_ID("examId","考试id"),
    EXAM_CODE("examCode","考试标识"),
    EXAM_NUMBER("examNumber","准考证号"),
    STUDENT_CODE("studentCode","学号"),
    NAME("name","名称"),
    SUBJECT_CODE("subjectCode","科目代码"),
    SUBJECT_NAME("subjectName","科目名称"),
    PAPER_TYPE("paperType","试卷类型"),
    COLLEGE("college","学院"),
    CLASS_NAME("className","班级名称"),
    TEACHER("teacher","教师"),
    STATUS("status","学生考试状态（1-正常，2-缺考(包含未上传)，3-违纪）"),
    SHEET_URLS("sheetUrls","（status!=1时数组为空）"),
    TOTAL_SCORE("totalScore","考生总分"),
    OBJECTIVE_SCORE("objectiveScore","客观题总分"),
    SUBJECTIVE_SCORE("subjectiveScore","主观题总分"),
    OBJECTIVE_SCORE_DETAIL("objectiveScoreDetail","客观题答题明细"),
    SUBJECTIVE_SCORE_DETAIL("subjectiveScoreDetail","主观题答题明细"),
    SCORE("score","分数"),
    MAIN_NUMBER("mainNumber","大题号"),
    SUB_NUMBER("subNumber","小题号"),
    ANSWER("answer","考生作答答案（客观题才记录）"),
    ;
    ExamCloudDataEnum(String name, String desc){
        this.name = name;
        this.desc = desc;
    }
    private final String name;
    private final String desc;

    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }
}
